<template>
  <div id="app">
    <navigation></navigation>
    <band></band>
    <router-view/>
  </div>
</template>

<script>
import Navigation from '@/components/Navigation.vue'
import Band from '@/components/Band.vue'
import { mapFields } from 'vuex-map-fields'

export default {
  name: 'Home',
  components: {
    Navigation,
    Band
  },
  computed: {
  // The `mapFields` function takes an array of field names and generates corresponding
  // computed properties with getter and setter functions for accessing the Vuex store.
    ...mapFields([
      'user'
    ])
  }
}
</script>

<style lang="scss">

@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap');

</style>
